> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Shipment Packing Lists



## OpenAPI

````yaml /api/openapi-cutmake.json get /logistics/shipments/{shipment_id}/packing-lists
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /logistics/shipments/{shipment_id}/packing-lists:
    get:
      tags:
        - Logistics
      summary: List Shipment Packing Lists
      operationId: >-
        list_shipment_packing_lists_logistics_shipments__shipment_id__packing_lists_get
      parameters:
        - name: shipment_id
          in: path
          required: true
          schema:
            type: string
            title: Shipment Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-created_at'
            title: Sort
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedPackingListsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedPackingListsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PackingListResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/routers__external__logistics__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedPackingListsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PackingListResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        direction:
          type: string
          title: Direction
        shipmentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentid
        shipmentDocumentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentdocumentid
        deliveryId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliveryid
        deliveryDocumentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliverydocumentid
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        supplierName:
          anyOf:
            - type: string
            - type: 'null'
          title: Suppliername
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
        status:
          type: string
          title: Status
        packingDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Packingdate
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
        packagesCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Packagescount
        lineItemsCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lineitemscount
        packages:
          anyOf:
            - items:
                $ref: '#/components/schemas/LogisticsPackageResponse'
              type: array
            - type: 'null'
          title: Packages
      type: object
      required:
        - id
        - documentId
        - direction
        - status
      title: PackingListResponse
    routers__external__logistics__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LogisticsPackageResponse:
      properties:
        id:
          type: string
          title: Id
        packingListId:
          type: string
          title: Packinglistid
        packageNo:
          type: string
          title: Packageno
        packageType:
          type: string
          title: Packagetype
        barcode:
          anyOf:
            - type: string
            - type: 'null'
          title: Barcode
        qrCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Qrcode
        grossWeight:
          anyOf:
            - type: number
            - type: 'null'
          title: Grossweight
        netWeight:
          anyOf:
            - type: number
            - type: 'null'
          title: Netweight
        weightUom:
          anyOf:
            - type: string
            - type: 'null'
          title: Weightuom
        lengthCm:
          anyOf:
            - type: number
            - type: 'null'
          title: Lengthcm
        widthCm:
          anyOf:
            - type: number
            - type: 'null'
          title: Widthcm
        heightCm:
          anyOf:
            - type: number
            - type: 'null'
          title: Heightcm
        volumeCbm:
          anyOf:
            - type: number
            - type: 'null'
          title: Volumecbm
        destinationLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationlocationid
        destinationLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationlocationname
        status:
          type: string
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
        lineItemsCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lineitemscount
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/PackageLineItemResponse'
              type: array
            - type: 'null'
          title: Lineitems
      type: object
      required:
        - id
        - packingListId
        - packageNo
        - packageType
        - status
      title: LogisticsPackageResponse
    PackageLineItemResponse:
      properties:
        id:
          type: string
          title: Id
        packageId:
          type: string
          title: Packageid
        lineNumber:
          type: integer
          title: Linenumber
        shipmentLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentlineitemid
        deliveryLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliverylineitemid
        purchaseOrderLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Purchaseorderlineitemid
        salesOrderLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderlineitemid
        materialId:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialid
        materialSkuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialskuid
        materialType:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialtype
        styleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleid
        styleSkuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleskuid
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        qty:
          type: number
          title: Qty
        uom:
          type: string
          title: Uom
        batchNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Batchnumber
        lotNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Lotnumber
        dyeLot:
          anyOf:
            - type: string
            - type: 'null'
          title: Dyelot
        rollNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Rollnumber
        cartonNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Cartonnumber
        supplierPackageRef:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierpackageref
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Updatedat
      type: object
      required:
        - id
        - packageId
        - lineNumber
        - qty
        - uom
      title: PackageLineItemResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````